org.apache.bcel.verifier.exc

## Class StructuralCodeConstraintException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
        - - org.apache.bcel.verifier.exc.VerificationException
          - - org.apache.bcel.verifier.exc.CodeConstraintException
            - - org.apache.bcel.verifier.exc.StructuralCodeConstraintException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    LinkingConstraintException

      public class StructuralCodeConstraintException
      extends CodeConstraintException

  Instances of this class are thrown by BCEL's class file verifier "JustIce" when a class file to verify does not pass the verification pass 3 because of a violation of a structural constraint as described in the Java Virtual Machine Specification, 2nd edition, 4.8.2, pages 137-139. Note that the notion of a "structural" constraint is somewhat misleading. Structural constraints are constraints on relationships between Java virtual machine instructions. These are the constraints where data-flow analysis is needed to verify if they hold. The data flow analysis of pass 3 is called pass 3b in JustIce.
  Version:
    $Id: StructuralCodeConstraintException.java 1806200 2017-08-25 16:33:06Z ggregory $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructuralCodeConstraintException()` Constructs a new StructuralCodeConstraintException with null as its error message string.
    `StructuralCodeConstraintException(String message)` Constructs a new StructuralCodeConstraintException with the specified error message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.bcel.verifier.exc.VerifierConstraintViolatedException

      `extendMessage, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StructuralCodeConstraintException

          public StructuralCodeConstraintException(String message)

      Constructs a new StructuralCodeConstraintException with the specified error message.

    - #### StructuralCodeConstraintException

          public StructuralCodeConstraintException()

      Constructs a new StructuralCodeConstraintException with null as its error message string.

Copyright © 2004–2017 The Apache Software Foundation. All rights reserved.